import { jsx } from "react/jsx-runtime";
import { Keyboard as Keyboard$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Keyboard = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Keyboard", ...props, children: /* @__PURE__ */ jsx(Keyboard$1, { weight: variant }) });
  }
);
Keyboard.displayName = "Keyboard";
Object.assign(Keyboard, { isGdsIcon: true });
export {
  Keyboard
};
